%define majver %(echo %version | cut -d. -f1)
Name:          orca
Version:       46.2
Release:       1mamba
Summary:       A free, open source scriptable screen reader
Group:         Graphical Desktop/Applications/Accessibility
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/action/show/Projects/Orca?action=show
Source:        https://download.gnome.org/sources/orca/%{majver}/orca-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: libat-spi2-core-devel
BuildRequires: pygobject-py3
Requires:      gnome-speech
Requires:      at-spi2-core

%description
Orca is a free, open source scriptable screen reader. Using various combinations of speech, braille, and magnification, Orca helps provide access to applications and toolkits that support the AT-SPI (e.g., the GNOME desktop). The development of Orca has been led by the Accessibility Program Office of Sun Microsystems, Inc. with contributions from many community members. 

#% debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop
%{_bindir}/orca
%{_datadir}/icons/hicolor/*/apps/orca.png
%{_datadir}/icons/hicolor/scalable/apps/orca.svg
%{_datadir}/icons/hicolor/symbolic/apps/orca-symbolic.svg
%{_datadir}/orca/ui/orca-*.ui
%dir %{_datadir}/help/*/orca
%{_datadir}/help/*/orca/*
%dir %{python3_sitelib}/orca/
%{python3_sitelib}/orca/*
%{_mandir}/man1/orca.1*
%doc AUTHORS COPYING
# ChangeLog NEWS README TODO

%changelog
* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 46.2-1mamba
- automatic version update by autodist

* Tue Apr 02 2024 Automatic Build System <autodist@openmamba.org> 46.1-1mamba
- automatic version update by autodist

* Tue Mar 19 2024 Automatic Build System <autodist@openmamba.org> 46.0-1mamba
- automatic version update by autodist

* Sat Jan 06 2024 Automatic Build System <autodist@openmamba.org> 45.2-1mamba
- automatic version update by autodist

* Sat Oct 07 2023 Automatic Build System <autodist@mambasoft.it> 45.1-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 45.0-1mamba
- automatic version update by autodist

* Fri May 26 2023 Automatic Build System <autodist@mambasoft.it> 44.1-1mamba
- automatic version update by autodist

* Sat Mar 25 2023 Automatic Build System <autodist@mambasoft.it> 44.0-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 43.1-1mamba
- automatic version update by autodist

* Sun Sep 25 2022 Automatic Build System <autodist@mambasoft.it> 43.0-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 42.3-1mamba
- automatic version update by autodist

* Sat Jul 02 2022 Automatic Build System <autodist@mambasoft.it> 42.2-1mamba
- automatic version update by autodist

* Wed May 18 2022 Automatic Build System <autodist@mambasoft.it> 42.1-1mamba
- automatic version update by autodist

* Wed Mar 23 2022 Automatic Build System <autodist@mambasoft.it> 42.0-1mamba
- automatic version update by autodist

* Mon Jan 31 2022 Automatic Build System <autodist@mambasoft.it> 41.2-1mamba
- automatic version update by autodist

* Thu Dec 02 2021 Automatic Build System <autodist@mambasoft.it> 41.1-1mamba
- automatic version update by autodist

* Fri Sep 17 2021 Automatic Build System <autodist@mambasoft.it> 41.0-1mamba
- automatic version update by autodist

* Thu May 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.0-1mamba
- update to 40.0

* Wed Dec 23 2020 Automatic Build System <autodist@mambasoft.it> 3.38.2-1mamba
- automatic version update by autodist

* Fri Dec 04 2020 Automatic Build System <autodist@mambasoft.it> 3.38.1-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 3.38.0-1mamba
- automatic version update by autodist

* Tue Sep 01 2020 Automatic Build System <autodist@mambasoft.it> 3.36.6-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 3.36.5-1mamba
- automatic version update by autodist

* Tue Aug 11 2020 Automatic Build System <autodist@mambasoft.it> 3.36.4-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 3.36.3-1mamba
- automatic version update by autodist

* Fri Apr 24 2020 Automatic Build System <autodist@mambasoft.it> 3.36.2-1mamba
- automatic version update by autodist

* Thu Mar 12 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1-1mamba
- automatic version update by autodist

* Tue Feb 04 2020 Automatic Build System <autodist@mambasoft.it> 3.34.2-1mamba
- automatic version update by autodist

* Sat Nov 16 2019 Automatic Build System <autodist@mambasoft.it> 3.34.1-1mamba
- automatic version update by autodist

* Fri Sep 13 2019 Automatic Build System <autodist@mambasoft.it> 3.34.0-1mamba
- automatic version update by autodist

* Sat Apr 06 2019 Automatic Build System <autodist@mambasoft.it> 3.32.0-1mamba
- automatic version update by autodist

* Fri Oct 19 2018 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic version update by autodist

* Wed Sep 19 2018 Automatic Build System <autodist@mambasoft.it> 3.30.0-1mamba
- automatic version update by autodist

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 3.29.92-1mamba
- automatic version update by autodist

* Sun Apr 22 2018 Automatic Build System <autodist@mambasoft.it> 3.28.1-1mamba
- automatic version update by autodist

* Tue Mar 27 2018 Automatic Build System <autodist@mambasoft.it> 3.28.0-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 3.27.91-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 3.26.0-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 3.24.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Fri Sep 16 2016 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic update by autodist

* Fri May 20 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Fri Apr 29 2016 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Tue Nov 10 2015 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Wed Oct 14 2015 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Mon May 18 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Fri Apr 03 2015 Automatic Build System <autodist@mambasoft.it> 3.14.4-1mamba
- automatic update by autodist

* Tue Mar 17 2015 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic version update by autodist

* Mon Jun 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-2mamba
- require at-spi2-core instead of at-spi2

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- update to 3.6.1

* Sat Aug 04 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- update to 3.4.2

* Tue Nov 16 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Tue Oct 12 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic update by autodist

* Wed Dec 23 2009 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Sat Oct 24 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- update to 2.28.0

* Fri Aug 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-1mamba
- package created by autospec
